<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [installBackdoor](./bitburner.singularity.installbackdoor.md)

## Singularity.installBackdoor() method

Run the backdoor command in the terminal.

**Signature:**

```typescript
installBackdoor(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;

Promise waiting for the installation to finish.

## Remarks

RAM cost: 2 GB \* 16/4/1

